@extends('layouts.app')

@section('content')
    <!-- Default box -->
    <div class="box">
        <div class="box-header with-border">
            <h3 class="box-title">{{ $title }}</h3>
            {{-- @if (Auth::user()->role == 0)
                <h4>Total Input Data : {{ Auth::user()->wargas->count() }}</h4>
            @endif --}}
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                    <i class="fa fa-minus"></i></button>

            </div>
        </div>
        <div class="box-body ">
            @include('layouts.include.cari')
            <a href="{{ url($link . '/create') }}" class="btn btn-sm btn-primary" title="Tambah Data {{ $title }}"><i
                    class="fa fa-plus"></i></a>
            <a href="{{ url($link . '/import') }}" class="btn btn-sm btn-success" title="Import Data {{ $title }}"><i
                    class="fa fa-file-excel-o"></i></a>

            <table id="example2" class="table-responsive no-padding table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>NIK</th>
                        <th>Nama Lengkap</th>
                        <th>Alamat</th>
                        <th>Kelurahan</th>
                        <th>Kecamatan</th>
                        <th>Kabupaten</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($datas as $data)
                        <tr>
                            <td>
                                {{ $no++ }}
                            </td>
                            <td>
                                {{ $data->nik }}
                            </td>
                            <td>
                                {{ $data->nama_lengkap }}
                            </td>
                            <td>
                                {{ $data->alamat }}
                            </td>
                            <td>
                                {{ @$data->kelurahan->nama_kelurahan }}
                            </td>
                            <td>
                                {{ @$data->kelurahan->kecamatan->nama_kecamatan }}
                            </td>
                            <td>
                                {{ @$data->kelurahan->kecamatan->kabupatens->nama_kabupaten }}
                            </td>

                            <td>
                                <form method="post" action="{{ url($link . '/' . $data->id) }}">
                                    @csrf
                                    <input type="hidden" name="_method" value="delete">
                                    <a href="{{ url($link . '/' . $data->id . '/edit') }}" class="btn btn-sm btn-warning"
                                        title="Edit Data"><i class="fa fa-edit"></i></a>
                                    <a href="{{ url($link . '/' . $data->id) }}" title="Lihat Data"
                                        class="btn btn-sm btn-info"><i class="fa fa-eye"></i></a>
                                    @if (Auth::user()->role == 1)
                                        <button onclick="return confirm(&quot;Click Ok to delete News.&quot;)"
                                            type="submit" class="btn btn-sm btn-danger"><i
                                                class="fa fa-trash"></i></button>
                                    @endif
                                    <a href="{{ url($link . '/' . $data->id . '/formulir') }}" target="_blank"
                                        class="btn btn-sm btn-default bg-purple" title="Buat Formulir"><i
                                            class="fa fa-clone"></i></a>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
            {!! $datas->appends(request()->except('page'))->links() !!}
        </div>
        <!-- /.box-footer-->
    </div>
    <!-- /.box -->
@endsection
