@extends('layouts.app')

@section('content')
    <!-- Default box -->
    <div class="box">
        <div class="box-header with-border">
            <h3 class="box-title">Data {{ $title }}</h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                    <i class="fa fa-minus"></i></button>

            </div>
        </div>
        <div class="box-body">
            @include('layouts.include.cari')
            <a href="{{ url($link . '/create') }}" class="btn btn-sm btn-primary" title="Tambah Data {{ $title }}"><i
                    class="fa fa-plus"></i></a>
            <a href="{{ url($link . '/user-log') }}" class="btn btn-sm btn-success" title="User Log"><i
                    class="fa fa-history"></i></a>
            <a href="{{ url($link . '/import') }}" class="btn btn-sm btn-success" title="Import Data {{ $title }}"><i
                    class="fa fa-file-excel-o"></i></a>
            <table id="example2" class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Name</th>
                        <th>Email</th>
                        <th>No Telepon</th>
                        <th>Role</th>
                        <th>Kabupaten / Kota</th>
                        <th>Total Input Data Warga </th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($datas as $data)
                        <tr>
                            <td>
                                {{ $no++ }}
                            </td>
                            <td>
                                {{ $data->name }}
                            </td>
                            <td>
                                {{ $data->email }}
                            </td>
                            <td>
                                {{ $data->no_telepon }}
                            </td>
                            <td>
                                {{ $data->role == 0 ? 'User Operator' : 'User Admin' }}
                            </td>
                            {{-- @dd($data->kabupaten) --}}
                            <td>{{ $data->kabupaten_id != null ? $data->kabupatens->nama_kabupaten : '-' }}</td>
                            <td>
                                @if ($data->role == 0)
                                    {{ @$data->wargas->count() }} Data Warga
                                @else
                                    -
                                @endif
                            </td>
                            <td>
                                <form method="post" action="{{ url($link . '/' . $data->id) }}">
                                    @csrf
                                    <input type="hidden" name="_method" value="delete">
                                    <a href="{{ url($link . '/user-log?s=' . $data->name) }}"
                                        class="btn btn-sm btn-success" title="User Log"><i class="fa fa-history"></i></a>
                                    <a href="{{ url($link . '/' . $data->id . '/edit') }}" class="btn btn-sm btn-warning"
                                        title="Edit Data"><i class="fa fa-edit"></i></a>

                                    @if (Auth::user()->id != $data->id)
                                        <button onclick="return confirm(&quot;Click Ok to delete News.&quot;)"
                                            type="submit" class="btn btn-sm btn-danger" title="Hapus Data"><i
                                                class="fa fa-trash"></i></button>
                                    @endif

                                </form>

                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
            {!! $datas->appends(request()->except('page'))->links() !!}
        </div>
        <!-- /.box-footer-->
    </div>
    <!-- /.box -->
@endsection
